Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 86345 - usb cdrom assigned lower scsi number than scsi hd
Summary: usb cdrom assigned lower scsi number than scsi hd
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel
Version: 8.0
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-03-20 02:58 UTC by jeff
Modified: 2007-04-18 16:52 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-09-30 15:40:40 UTC


Attachments (Terms of Use)
latest version with and without this bug (deleted)
2003-09-12 11:20 UTC, Jaap Bril
no flags Details

Description jeff 2003-03-20 02:58:48 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.3) Gecko/20030312

Description of problem:
I have an usb cd-r drive. If there is media in the drive,
and it is powered 
when I boot, the usb cd-r drive is assigned a lower scsi id
than my scsi hard drives. I can successfully boot, but most
of my mount points are incorrect. Specifically, my swap partition
doesn't get mounted, nor does my windows scsi partitions get mounted.

If I edit /etc/fstab, I can fix everything, as long as I don't
remove the cd-r drive or media from my system.

If I remove the media, or power down the usb cd-r drive,
everything is ok.

This is similar to, but different than bug 84350.


Version-Release number of selected component (if applicable):
kernel-smp-2.4.18-27.8.0.i686

How reproducible:
Always

Steps to Reproduce:
1. Insert media into cd-r, power up cd-r, plug in usb
2. boot computer
3. cry
    

Actual Results:  All my scsi mount points are incorrect.

Expected Results:  I expect all removable media to be treated in a way that does
not interfere with scsi or ide hard drives.


Additional info:

I have 5 scsi hard drives, 1 scsi tape drive, 1 scsi cdrw,
2 ide hard drives, 1 ide dvd, 1 ide cdrw,
1 usb 6-in-1 flash reader, 1 usb cd-r drive (imation RipGo!)

Comment 1 Jaap Bril 2003-09-12 11:20:15 UTC
Created attachment 94441 [details]
latest version with and without this bug

bug is coming and going in kernel versions

Comment 2 Bugzilla owner 2004-09-30 15:40:40 UTC
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/



Note You need to log in before you can comment on or make changes to this bug.